
Redmine - Defect #26857

Fix for CVE-2015-9251 in JQuery 1.11.1

2017-09-08 06:29 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Security Estimated time: 0.00 hour

Target version: 3.3.7   

Resolution: Fixed Affected version:  

Description

Public message on Redmine forums: Vulnerable Javascript Library reported by Security Scanner  

Github issue on jQuery: https://github.com/jquery/jquery/issues/2432

CVE-2015-9251 was assigned to this for jQuery.

Associated revisions

Revision 17272 - 2018-04-07 10:06 - Jean-Philippe Lang

Fix for CVE-2015-9251 in JQuery 1.11.1 (#26857).

Patch by Gregor Schmidt.

Revision 17273 - 2018-04-07 10:08 - Jean-Philippe Lang

Merged r17272 into 3.4-stable (#26857).

Revision 17274 - 2018-04-07 10:08 - Jean-Philippe Lang

Merged r17272 into 3.3-stable (#26857).

History

#1 - 2018-01-30 12:05 - Jan from Planio www.plan.io

- File 0001-Don-t-eval-cross-origin-requests-in-jQuery-26857.patch added

- Description updated

- Status changed from New to Resolved

Gregor Schmidt has provided an unobtrusive fix which doesn't require a jQuery update. You can find it attached.

#2 - 2018-04-07 10:09 - Jean-Philippe Lang

- Project changed from 2 to Redmine

- Subject changed from Vulnerable jquery 1.11.1 to Fix for CVE-2015-9251 in JQuery 1.11.1

- Category set to Security

- Status changed from Resolved to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.3.7

- Resolution set to Fixed

Committed, thanks.

Files

0001-Don-t-eval-cross-origin-requests-in-jQuery-26857.patch 1.2 KB 2018-01-30 Jan from Planio www.plan.io
